Get an eval judge
curl --request GET \
--url https://voice-api.onclarity.com/v1/projects/{projectId}/eval-judges/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://voice-api.onclarity.com/v1/projects/{projectId}/eval-judges/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://voice-api.onclarity.com/v1/projects/{projectId}/eval-judges/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"judge": {
"id": "2b3c4d5e-6f7a-4b8c-9d0e-1f2a3b4c5d6e",
"project_id": "4f3a9b2c-1d2e-4f5a-8b6c-7d8e9f0a1b2c",
"name": "Default judge",
"description": null,
"model": "gemini-2.5-flash",
"prompt_template": "Test case: {name}\nWhen relevant: {when_relevant}\nSuccess: {success_criteria}\nFailure: {failure_criteria}\n\nTranscript:\n{conversation_text}",
"temperature": 0,
"created_by": "org-token:42",
"created_at": "2026-10-01T09:00:00.000Z",
"updated_at": "2026-10-01T09:00:00.000Z"
}
}{
"error": "Invalid or revoked token"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Eval judges
Get an eval judge
Returns one judge.
GET
/
v1
/
projects
/
{projectId}
/
eval-judges
/
{id}
Get an eval judge
curl --request GET \
--url https://voice-api.onclarity.com/v1/projects/{projectId}/eval-judges/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://voice-api.onclarity.com/v1/projects/{projectId}/eval-judges/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://voice-api.onclarity.com/v1/projects/{projectId}/eval-judges/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"judge": {
"id": "2b3c4d5e-6f7a-4b8c-9d0e-1f2a3b4c5d6e",
"project_id": "4f3a9b2c-1d2e-4f5a-8b6c-7d8e9f0a1b2c",
"name": "Default judge",
"description": null,
"model": "gemini-2.5-flash",
"prompt_template": "Test case: {name}\nWhen relevant: {when_relevant}\nSuccess: {success_criteria}\nFailure: {failure_criteria}\n\nTranscript:\n{conversation_text}",
"temperature": 0,
"created_by": "org-token:42",
"created_at": "2026-10-01T09:00:00.000Z",
"updated_at": "2026-10-01T09:00:00.000Z"
}
}{
"error": "Invalid or revoked token"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Authorizations
Your organization API key (it starts with anek_org_). The same key works on the Voice API and the Support API. See Authentication.
Response
The judge
An LLM judge configuration: the model, temperature and prompt template used to decide each test case of an eval call.
Show child attributes
Show child attributes